<?php

namespace App\Http\Requests\Post;

use App\Http\Requests\Request;

class CreateRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return auth();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title'       => ['required'],
            'description' => ['required'],
            'is_remote'   => ['boolean'],
            'job_type'    => ['required', 'exists:post_types,id'],
            'category'    => ['required', 'exists:categories,id'],
        ];
    }
}
