<?php

namespace App\Http\Requests\User;

use App\Http\Requests\Request;

class UpdatePassword extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return auth()->check();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'currentpassword'       => ['required'],
            'password'              => ['required', 'min:6', 'confirmed'],
            'password_confirmation' => ['required', 'between:4,25']
        ];
    }
}