<?php

namespace App\Http\Requests\User;

use App\Http\Requests\Request;
use Illuminate\Http\Request as Req;

class UpdateSettings extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return auth()->check();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(Req $request)
    {
        if ($request->get('is_freelancer')) {
            return [
                'fullname'      => ['required'],
                'url'           => ['url'],
                'tw_url'        => ['url'],
                'is_freelancer' => ['boolean'],
                'category'      => ['required', 'exists:categories,id'],
            ];
        }

        return [
            'fullname'      => ['required'],
            'url'           => ['url'],
            'tw_url'        => ['url'],
            'is_freelancer' => ['boolean']
        ];
    }
}
