<?php
/**
 * @author Abhimanyu Sharma <abhimanyusharma003@gmail.com>
 */
namespace App\Jobshunt\Providers;

use Illuminate\Support\ServiceProvider;

class RepositoryServiceProvider extends ServiceProvider
{

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        $this->app->bind(
            'App\Jobshunt\Repository\PostsRepositoryInterface',
            'App\Jobshunt\Repository\Eloquent\PostsRepository'
        );

        $this->app->bind(
            'App\Jobshunt\Repository\UsersRepositoryInterface',
            'App\Jobshunt\Repository\Eloquent\UsersRepository'
        );
    }
}