<?php
/**
 * @author Abhimanyu Sharma <abhimanyusharma003@gmail.com>
 */
namespace App\Jobshunt\Repository;

use App\Jobshunt\Models\User;
use Auth;
use Carbon;
use Feed;
use Hash;
use Illuminate\Http\Request;
use URL;

interface UsersRepositoryInterface
{

    /**
     * @param $id
     * @return bool
     */
    public function getById($id);

    /**
     * @param $username
     * @return mixed
     */
    public function getByUsername($username);

    /**
     * @param Request $request
     * @return mixed
     */
    public function getAll(Request $request);

    /**
     * @param User $user
     * @return mixed
     */
    public function getUserPosts(User $user);

    /**
     * @param Request $request
     * @return mixed
     */
    public function createNew(Request $request);

    /**
     * @param $username
     * @param $activationCode
     * @return bool
     */
    public function activate($username, $activationCode);

    /**
     * @param Request $request
     * @return mixed
     */
    public function updateSettings(Request $request);

    /**
     * @param Request $request
     * @return mixed
     */
    public function updatePassword(Request $request);
}
