$(function () {
    editor();
    hideIfRemote();
    hideIfFreelancer();
    stripe();
    select2();
    flashMessage();
    infinteScroll();
    city();
    applyForm();
    tags();
});

function applyForm() {
    if ($('#apply_elsewhere').is(':checked')) {
        $('.apply_elsewhere').css('display', 'block');
    }
    $('.applyFormButton').on('click', function () {
        $('.applyForm').toggle();
    });
    $('#apply_elsewhere').on('click', function () {
        if ($(this).is(':checked')) {
            $('.apply_elsewhere').toggle(500);
        }
        else {
            $('.apply_elsewhere').toggle(500);
        }
    });
}

function tags() {
    $(".tagging").select2({
        theme: "bootstrap",
        minimumInputLength: 3,
        maximumSelectionLength: 3,
        tags: true,
        tokenSeparators: [","]
    });
}

function infinteScroll() {
    $('.jobs-list').infinitescroll({
        navSelector: "ul.pagination",
        nextSelector: "ul.pagination a:first",
        itemSelector: ".job-content",
        debug: false,
        dataType: 'html',
        path: function (index) {
            return "?page=" + index;
        }
    });
}

function flashMessage() {
    $('div.flash_message').not('.flash_important').delay(2000).slideUp();
}

function select2() {
    $(".select-box").select2({
        theme: "bootstrap"
    });
}

function hideIfFreelancer() {
    if ($('#is_remote').is(':checked')) {
        $('.hide-if-remote').css('display', 'none');
    }
    $('#is_remote').on('click', function () {
        if ($(this).is(':checked')) {
            $('.hide-if-remote').toggle(500);
        }
        else {
            $('.hide-if-remote').toggle(500);
        }
    });
}

function hideIfRemote() {
    if ($('#is_freelancer').is(':checked')) {
        $('select[name=category]').prop("disabled", false);
        $('.tagging').prop("disabled", false);
    }
    $('#is_freelancer').on('click', function () {
        if ($(this).is(':checked')) {
            $('select[name=category]').prop("disabled", false);
            $('.tagging').prop("disabled", false);
        }
        else {
            $('select[name=category]').prop("disabled", true);
            $('.tagging').prop("disabled", true);
        }
    });
}

function editor() {
    new SimpleMDE({
        element: document.getElementById("editor"),
        spellChecker: false,
        autoDownloadFontAwesome: false
    });
}

function stripe() {
    $('input:submit.submit-stripe').on('click', function (event) {
        event.preventDefault();
        var $button = $(this),
            $form = $button.parents('form');
        var opts = $.extend({}, $button.data(), {
            token: function (result) {
                $form.append($('<input>').attr({type: 'hidden', name: 'stripeToken', value: result.id})).submit();
            }
        });
        StripeCheckout.open(opts);
    });
}

function city() {
    $(".location").selectize({
        mode: "single",
        openOnFocus: false,
        delimiter: null,
        onInitialize: function () {
            var place_id, value;
            value = this.getValue();
            place_id = $("input[name='location_id']").val();
            return this.updateOption(value, {
                value: value,
                text: value,
                description: value,
                place_id: place_id
            });
        },
        plugins: {
            'placecomplete': {
                selectDetails: function (placeResult) {
                    $(".location_id").val(placeResult.place_id);
                    return null;
                }
            }
        }
    });
}