@extends('admin.master.index')
@section('content')
    <div class="row">
        <div class="col-md-3">
            <ul class="list-group">
                <a href="#" class="list-group-item disabled">
                    Post Statics
                </a>
                <li class="list-group-item"><strong>Created By</strong> <a href="{{ route('users.profile', [$post->user->username]) }}">{{ $post->user->fullname }}</a></li>
                <li class="list-group-item"><strong>Transaction-ID</strong> {{ $post->transaction_id }}</li>
                <li class="list-group-item"><strong>Views</strong> {{ $post->views }}</li>
                <li class="list-group-item"><strong>Uploaded At</strong> {{ $post->created_at->diffForHumans() }} </li>
                <li class="list-group-item"><strong>Last Updated</strong> {{ $post->updated_at->diffForHumans() }} </li>
            </ul>
        </div>
        <div class="col-md-9">
            {!! Form::open() !!}
            <div class="form-group">
                {!! Form::label('title', 'Title') !!}
                {!! Form::text('title', $post->title, ['class' => 'form-control input-lg', 'placeholder' => 'Title of Image']) !!}
            </div>
            <div class="form-group">
                {!! Form::label('description', 'Description') !!}
                {!! Form::textarea('description', $post->description, ['class' => 'form-control input-lg editor', 'placeholder' => 'Description']) !!}
            </div>
            <div class="form-group">
                {!! Form::label('apply_to', 'Apply To') !!}
                {!! Form::textarea('apply_to', $post->apply_to, ['class' => 'form-control input-lg editor', 'placeholder' => 'Apply To']) !!}
            </div>
            <div class="form-group">
                {!! Form::label('category', t('Category')) !!}
                <select name="category" class="form-control input-lg" required>
                    <option value="{{ $post->category->id }}">{{ ucfirst($post->category->name) }}</option>
                    <option>--------</option>
                    @foreach(siteCategories() as $category)
                        <option value="{{ $category->id }}">{{ $category->name }}</option>
                    @endforeach
                </select>
            </div>

            <div class="form-group">
                {!! Form::label('category', 'Type') !!}
                <select class="form-control input-lg" name="job_type" required>
                    <option value="{{ $post->type->id }}">{{ ucfirst($post->type->name) }}</option>
                    <option>--------</option>
                    @foreach(sitePostTypes() as $type)
                        <option value="{{ $type->id }}">{{ $type->name }}</option>
                    @endforeach
                </select>
            </div>

            <div class="form-group form-group-lg">
                {!! Form::label('tags', 'Tags') !!}
                <select class="form-control input-lg tagging" multiple="multiple" name="tags[]">
                    @foreach(explode(',',$post->tags) as $tag)
                        @if($tag)
                            <option selected="selected">{{ $tag }}</option>
                        @endif
                    @endforeach
                </select>
            </div>

            <div class="form-group">
                {!! Form::label('delete', 'Delete this') !!}
                {!! Form::checkbox('delete', 1) !!}
            </div>
            {!! Form::submit('Update', ['class' => 'btn btn-success btn-lg']) !!}
            {!! Form::close() !!}
        </div>
    </div>
@endsection
@section('extra-js')
    <script>
        $(function(){
            $(".tagging").select2({
                theme: "bootstrap",
                minimumInputLength: 3,
                maximumSelectionLength: {{ (int)siteSettings('tagsLimit') }},
                tags: true,
                tokenSeparators: [","]
            })
        });
    </script>
@endsection