@extends('master.index')

@section('content')
    <div class="col-md-12">
        <div class="row">
            <h1 class="content-heading">{{ $title }}</h1>
            {!! Form::open() !!}
            <div class="form-group">
                {!! Form::label('title', t('Title')) !!}*
                {!! Form::input('text','title',null, ['required', 'class' => 'form-control', 'placeholder' => t('Title')]) !!}
            </div>
            <div class="form-group">
                {!! Form::label('description', t('Description')) !!}*
                {!! Form::textarea('description',null, ['id' => 'editor', 'class' => 'form-control', 'placeholder' => t('Description')]) !!}
            </div>
            <div class="form-group">
                {!! Form::label('apply_elsewhere', t('Apply from somewhere else')) !!}
                {!! Form::checkbox('apply_elsewhere', 1, null, ['id' => 'apply_elsewhere']) !!}
            </div>
            <div class="form-group apply_elsewhere">
                {!! Form::label('apply_to', t('How to apply')) !!}*
                {!! Form::textarea('apply_to',null, ['rows' => 3, 'id' => 'editor', 'class' => 'form-control', 'placeholder' => t('How and where to apply, email address or link')]) !!}
            </div>
            <div class="form-group">
                {!! Form::label('is_remote', t('Is Remote Job')) !!}
                {!! Form::checkbox('is_remote', 1, null, ['id' => 'is_remote']) !!}
            </div>
            <div class="hide-if-remote">
                <div class="form-group">
                    {!! Form::label('location', t('Location')) !!}
                    {!! Form::select('location',[],[],['class' => 'location', 'placeholder' => t('City, Sate, Country')]) !!}
                    {!! Form::input('text','location_id',null,['class' => 'place_id hidden']) !!}
                </div>
            </div>

            <div class="form-group">
                <label for="category">{{ t('Category') }}*</label>
                <select class="form-control select-box" name="category" required>
                    <option disabled selected></option>
                    @foreach(siteCategories() as $category)
                        <option value="{{ $category->id }}">{{ $category->name }}</option>
                    @endforeach
                </select>
            </div>

            <div class="form-group">
                <label for="job_type">{{ t('Job Type') }}*</label>
                <select class="form-control select-box" name="job_type" required>
                    <option disabled selected></option>
                    @foreach(sitePostTypes() as $type)
                        <option value="{{ $type->id }}">{{ $type->name }}</option>
                    @endforeach
                </select>
            </div>

            <div class="form-group">
                {!! Form::label('tags', 'Tags') !!} ( {{ t('Optional') }})
                <select class="form-control tagging" multiple="multiple" name="tags[]">
                </select>
            </div>
            @include('posts.partials.stripe')
            {!! Form::close() !!}
        </div>
   </div>
@endsection