@extends('master.index')
@section('content')
    <div class="col-md-9 jobs-container">
        @include('users.partials.search')
        <div class="row">
            <h2 class="content-heading">{{ $title }}</h2>
            @include('posts.partials.util-list')
            <div class="jobs-list">
                @foreach($users as $user)
                    <div class="media job-content">
                        <div class="media-body">
                            <div class="col-md-2 col-sm-2 col-xs-2 avatar-holder">
                                <a href="{{ route('users.profile', ['username' => $user->username]) }}">
                                    <img class="img-responsive" src="{{ Resize::avatar($user,'listingAvatar') }}" alt="{{ $user->fullname }}">
                                </a>
                            </div>
                            <div class="col-md-10 col-sm-9 col-xs-9">
                                <h3 class="media-heading">
                                    <a href="{{ route('users.profile',['username' => $user->username]) }}">{{ $user->fullname }}</a>
                                </h3>
                                <div class="job-info">
                                    @if($user->tags)
                                        <ul class="list-inline tags-list">
                                            @foreach(explode(',',$user->tags) as $tag)
                                                <li><a href="{{ route('users.list', ['tag' => $tag]) }}"><span class="label label-default"><i class="fa fa-tag"></i> {{ $tag }}</span></a></li>
                                            @endforeach
                                        </ul>
                                    @endif
                                    <div>
                                        @if($user->category_id)<a href="{{ route('users.list',['category' => $user->category->slug]) }}"><span class="label label-default"><i class="fa fa-th-large"></i> {{ $user->category->name }}</span></a>@endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </div>
    @include('posts.partials.sidebar')
    <div class="clearfix"></div>
    {!! $users->appends(Input::except('page'))->render() !!}
@endsection