@extends('master.index')

@section('content')
    <div class="col-md-12">
        <div class="row">
            <h2 class="content-heading"><i class="fa fa-user fa-fw"></i> {{ t('Update Avatar') }}</h2>
            {!! Form::open(['url'=>'settings/updateavatar','files'=> true,'role'=>'form']) !!}
            <div class="form-group">
                {!! Form::file('avatar',['accept'=>'image/*']) !!}
            </div>
            <div class="form-group">
                {!! Form::submit(t('Update Avatar'),['class'=>'btn btn-default btn-lg btn-success']) !!}
            </div>
            {!! Form::close() !!}

            <h2 class="content-heading"><i class="fa fa-cogs fa-fw"></i>  {{ $title }}</h2>

            {!! Form::open() !!}
            <div class="form-group">
                {!! Form::label('fullname', t('Name')) !!}*
                {!! Form::input('text','fullname',auth()->user()->fullname, ['required', 'class' => 'form-control input-lg', 'placeholder' => t('Title')]) !!}
            </div>
            <div class="form-group">
                {!! Form::label('about', t('About')) !!}*
                {!! Form::textarea('about',auth()->user()->about, ['class' => 'form-control input-lg', 'id' => 'editor', 'placeholder' => t('Description')]) !!}
            </div>
            <div class="form-group">
                {!! Form::label('url', t('Website URL')) !!}*
                {!! Form::text('url',auth()->user()->url, ['class' => 'form-control input-lg', 'placeholder' => t('Website URL')]) !!}
            </div>
            <div class="form-group">
                {!! Form::label('tw_url', t('Twitter Profile URL')) !!}*
                {!! Form::text('tw_url',auth()->user()->tw_url, ['class' => 'form-control input-lg', 'placeholder' => t('Twitter Profile URL')]) !!}
            </div>

            <div class="form-group">
                {!! Form::label('is_freelancer', t('I\'m freelancer list me')) !!}
                {!! Form::checkbox('is_freelancer', 1, auth()->user()->is_freelancer, ['id' => 'is_freelancer']) !!}
                <small>( {{ t('Allow people to contact me') }} )</small>
            </div>

            <div class="form-group form-group-lg">
                <label for="category">{{ t('Category') }}*</label>
                <select class="form-control select-box" name="category" disabled>
                    @if(auth()->user()->category_id)<option value="{{ auth()->user()->category->id }}" selected>{{ ucfirst(auth()->user()->category->name) }}</option>@endif
                    <option disabled></option>
                    @foreach(siteCategories() as $category)
                        <option value="{{ $category->id }}">{{ $category->name }}</option>
                    @endforeach
                </select>
            </div>

            <div class="form-group form-group-lg">
                {!! Form::label('tags', 'Tags') !!}
                <select class="form-control tagging" multiple="multiple" name="tags[]" disabled>
                    @foreach(explode(',',auth()->user()->tags) as $tag)
                        @if($tag)
                            <option selected="selected">{{ $tag }}</option>
                        @endif
                    @endforeach
                </select>
            </div>

            <div class="form-group">
                {!! Form::submit(t('Update'), ['class' => 'btn btn-info btn-lg']) !!}
            </div>
            {!! Form::close() !!}

            <br>
            <h3 class="content-heading"><i class="fa fa-key fa-fw"></i> {{ t('Change Password') }}</h3>
            {!! Form::open(['url'=>'settings/changepassword']) !!}
            <div class="form-group">
                <label for="currentpassword">{{ t('Current Password') }}</label>
                {!! Form::password('currentpassword',['class'=>'form-control input-lg', 'required', 'placeholder' => t('Current Password')]) !!}
            </div>
            <div class="form-group">
                <label for="password">{{ t('New Password') }}</label>
                {!! Form::password('password',['class'=>'form-control input-lg', 'required', 'placeholder' => t('New Password')]) !!}
            </div>
            <div class="form-group">
                <label for="password_confirmation">{{ t('Confirm Password') }}</label>
                {!! Form::password('password_confirmation',['class'=>'form-control input-lg', 'required', 'placeholder' => t('Confirm Password') ]) !!}
            </div>
            <div class="form-group">
                {!! Form::submit(t('Change Password'),['class'=>'btn btn-default btn-lg btn-success']) !!}
            </div>
            {!! Form::close() !!}
        </div>
    </div>
@endsection